// @flow
import demonpatcher from "demonpatcher"
import webpack      from "./api/webpack.js"
import common       from "./api/common.js"
import commands     from "./api/commands.js"

async function init(obj: Object): Promise<void> {
	obj.demon = {
		patcher: demonpatcher,
		webpack,
		common,
		commands: {
			add: commands.add
		}
	}
	commands.init(obj)
}

export default init;
