import flow            from 'rollup-plugin-flow'
import { uglify }      from 'rollup-plugin-uglify'
import { nodeResolve } from '@rollup/plugin-node-resolve';
import commonjs        from '@rollup/plugin-commonjs';

export default {
	input:   'src/index.js',
	plugins: [flow(), commonjs(), nodeResolve(), uglify()],
	output:  {
		file: 'dist/build.js',
		format: "iife"
	}
}
